import { A as A11yTreeNodeMatch, a as A11yTreeNodeStateMatch, b as A11yTreeNodeQueriesMatch, c as A11yTreeForDiff, S as StaticText, T as TextMatcher, M as MatcherOptions, d as A11yTreeNode } from './matchers-09042272.js';
export { g as A11yTreeNodeState, f as ARIARoleDefinitionKeyExtended, e as AsNonLandmarkRoles, V as VirtualRoles } from './matchers-09042272.js';
import { IsInaccessibleOptions } from 'dom-accessibility-api';
export { isSubtreeInaccessible } from 'dom-accessibility-api';
import 'aria-query';

type NameDescriptionStateQueries = Omit<A11yTreeNodeMatch, 'role' | 'children'> & A11yTreeNodeStateMatch & A11yTreeNodeQueriesMatch;
declare function byRole(role: A11yTreeNodeMatch['role'], properties: NameDescriptionStateQueries): A11yTreeNodeMatch;
declare function byRole(role: A11yTreeNodeMatch['role'], properties: NameDescriptionStateQueries, children: A11yTreeNodeMatch['children']): A11yTreeNodeMatch;
declare function byRole(role: A11yTreeNodeMatch['role'], children: A11yTreeNodeMatch['children']): A11yTreeNodeMatch;
declare function byRole(role: A11yTreeNodeMatch['role'], name: string | RegExp): A11yTreeNodeMatch;
declare function byRole(role: A11yTreeNodeMatch['role'], name: string | RegExp, children: A11yTreeNodeMatch['children']): A11yTreeNodeMatch;
declare function byRole(role: A11yTreeNodeMatch['role']): A11yTreeNodeMatch;

declare const getPrettyTree: (tree: A11yTreeForDiff | StaticText | TextMatcher | undefined, depth?: number) => string;

declare const getAccessibilityTree: (element: HTMLElement, { isListSubtree: userListSubtree, isClosedDetailsSubtree: userIsClosedDetailsSubtree, isNonLandmarkSubtree: userNonLandmarkSubtree, isInaccessibleOptions, }?: MatcherOptions) => A11yTreeNode | null;

/**
 * Removes container nodes from the tree, flattening the tree.
 */
declare const pruneContainerNodes: (node: A11yTreeNode) => A11yTreeNode;

type Config = {
    isInaccessibleOptions?: IsInaccessibleOptions;
};
declare const config: Config;
declare const getConfig: () => typeof config;
declare const configToolkit: (options: Partial<Config>) => void;

export { A11yTreeNode, A11yTreeNodeMatch, byRole, configToolkit, getAccessibilityTree, getConfig, getPrettyTree, pruneContainerNodes };
